import uuid

from decimal import Decimal
from typing import Optional

from brewman.schemas import to_camel
from brewman.schemas.account import AccountLink
from brewman.schemas.cost_centre import CostCentreLink
from pydantic import BaseModel, Field


class Journal(BaseModel):
    id_: Optional[uuid.UUID]
    debit: int = Field(ge=-1, le=1, multiple_of=1)
    amount: Decimal = Field(ge=0)
    account: AccountLink
    cost_centre: Optional[CostCentreLink]

    class Config:
        anystr_strip_whitespace = True
        alias_generator = to_camel
