import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Client } from './client';
import { ClientService } from './client.service';

@Injectable({
  providedIn: 'root',
})
export class ClientResolver implements Resolve<Client> {
  constructor(private ser: ClientService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Client> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
