import { CostCentre } from '../core/cost-centre';
import { User } from '../core/user';

import { ClosingStockItem } from './closing-stock-item';

export class ClosingStock {
  date: string;
  costCentre: CostCentre;
  items: ClosingStockItem[];
  creationDate: string;
  lastEditDate: string;
  user: User;
  posted: boolean;
  poster: User;

  public constructor(init?: Partial<ClosingStock>) {
    this.date = '';
    this.costCentre = new CostCentre();
    this.items = [];
    this.creationDate = '';
    this.lastEditDate = '';
    this.user = new User();
    this.posted = false;
    this.poster = new User();
    Object.assign(this, init);
  }
}
