import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { CostCentre } from '../core/cost-centre';

import { CostCentreService } from './cost-centre.service';

@Injectable({
  providedIn: 'root',
})
export class CostCentreResolver implements Resolve<CostCentre> {
  constructor(private ser: CostCentreService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<CostCentre> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
