import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { EmployeeAttendance } from './employee-attendance';
import { EmployeeAttendanceService } from './employee-attendance.service';

@Injectable({
  providedIn: 'root',
})
export class EmployeeAttendanceResolver implements Resolve<EmployeeAttendance> {
  constructor(private ser: EmployeeAttendanceService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<EmployeeAttendance> {
    const id = route.paramMap.get('id');
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.get(id, startDate, finishDate);
  }
}
