import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { Period } from '../period';

import { PeriodListDataSource } from './period-list-datasource';

@Component({
  selector: 'app-period-list',
  templateUrl: './period-list.component.html',
  styleUrls: ['./period-list.component.css'],
})
export class PeriodListComponent implements OnInit {
  dataSource: PeriodListDataSource;

  list: Period[] = [];

  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['validFrom', 'validTill'];

  constructor(private route: ActivatedRoute) {
    this.dataSource = new PeriodListDataSource(this.list);
  }

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: Period[] };

      this.list = data.list;
    });
    this.dataSource = new PeriodListDataSource(this.list);
  }
}
