import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve, Router } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Period } from './period';
import { PeriodService } from './period.service';

@Injectable({
  providedIn: 'root',
})
export class PeriodResolver implements Resolve<Period> {
  constructor(private ser: PeriodService, private router: Router) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Period> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
