import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { RateContract } from './rate-contract';
import { RateContractService } from './rate-contract.service';

@Injectable({
  providedIn: 'root',
})
export class RateContractResolver implements Resolve<RateContract> {
  constructor(private ser: RateContractService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<RateContract> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
